#Script to define the utils package which contains utility
#scripts for Cirpass reduction. Utility scripts are scripts
#that are necessary for reduction but aren't data reduction scripts.

package utils

# define scripts

# Iraf Scripts

	task transenv = utils$transenv.cl
	task analyse_gain = utils$analyse_gain.cl
	task pixel_gain = utils$pixel_gain.cl
	task mean_and_sdev = utils$mean_and_sdev.cl
	task mean_and_sdev1 = utils$mean_and_sdev1.cl
	task cube_data      = utils$cube_data.cl
	task showtrace      = utils$showtrace.cl
	task gausspeaks_lots= utils$gausspeaks_lots.cl
	task follow1        = utils$follow1.cl
	task tracepeaks	    = utils$tracepeaks.cl
	task secloop	    = utils$secloop.cl
	task overwrite_table= utils$overwrite_table.cl

# Shell scripts

	task $maketoday     = "$$CIRPBIN/maketoday $*"
	task $makedata      = "$$CIRPBIN/makedata $*"
	task $make2ktoday     = "$$CIRPBIN/make2ktoday"
	task $make2kdata      = "$$CIRPBIN/make2kdata"
	
# C programs

	task $c_stack	    = "$$CIRPBIN/c_stack $*"
	task $c_stack_average= "$$CIRPBIN/c_stack_average $*"
	task $c_get_gain    = "$$CIRPBIN/c_get_gain $*"
	task $c_gain        = "$$CIRPBIN/c_gain $*"
	task $makecube      = "$$CIRPBIN/makecube $*"
	task $lsqfit2       = "$$CIRPBIN/lsqfit $*"
	task $c_get_imsets  = "$$CIRPBIN/c_get_imsets $*"
	task $readnoise     = "$$CIRPBIN/readnoise $*"
	task $cube          = "$$CIRPBIN/cube $*"
	task $rdncube       = "$$CIRPBIN/rdncube $*"
	task $ifudisplay    = "$$CIRPBIN/ifudisplay $*"
	task $findap        = "$$CIRPBIN/findap $*"
	task $peakfind      = "$$CIRPBIN/peakfind $*"
	task $peakfind_sep  = "$$CIRPBIN/peakfind_sep $*"
	task $specmark_no_wav = "$$CIRPBIN/specmark_no_wav $*"
	task $mosaic        = "$$CIRPBIN/mosaic $*"
	task $peakcentre    = "$$CIRPBIN/peakcentre $*"
	task $peaktrace	    = "$$CIRPBIN/peaktrace $*"
	task $insert_table  = "$$CIRPBIN/insert_table $*"
	task $object_sort   = "$$CIRPBIN/object_sort $*"
	task $bit_check = "$$CIRPBIN/bit_check $*"
	task $addtable      = "$$CIRPBIN/addtable $*"

clbye()




